import type { StringifyReviverOptions, ReviverPair } from "./public";
import type { TypeReviverArray } from "type-reviver";
export declare function Date_StringifyReviver(key: string, value: any, type: string, callCount: number, stringifyOptions: StringifyReviverOptions): any;
export declare function Date_ParseReviver(key: string, value: any, type: string, callCount: number): Date;
export declare function Map_StringifyReviver(key: string, value: any, type: string, callCount: number, stringifyOptions: StringifyReviverOptions): any;
export declare function Map_ParseReviver(key: string, value: any, type: string, callCount: number): Map<unknown, unknown>;
export declare function Set_StringifyReviver(key: string, value: any, type: string, callCount: number, stringifyOptions: StringifyReviverOptions): any;
export declare function Set_ParseReviver(key: string, value: any, type: string, callCount: number): Set<unknown>;
export declare function URL_StringifyReviver(key: string, value: any, type: string, callCount: number, stringifyOptions: StringifyReviverOptions): any;
export declare function URL_ParseReviver(key: string, value: any, type: string, callCount: number): URL;
export declare function RegExp_StringifyReviver(key: string, value: any, type: string, callCount: number, stringifyOptions: StringifyReviverOptions): any;
export declare function RegExp_ParseReviver(key: string, value: any, type: string, callCount: number): RegExp;
export declare function Function_StringifyReviver(key: string, value: any, type: string, callCount: number, stringifyOptions: StringifyReviverOptions): any;
export declare function Function_ParseReviver(key: string, value: any, type: string, callCount: number): Function;
export declare const typeReviverArray: TypeReviverArray<ReviverPair>;
export default typeReviverArray;
